org.eclipse.actf.model.dom.odf.base

## Interface DrawingObjectElement

All Superinterfaces:
  DrawingObjectBaseElement, Element, Node, ODFElement

All Known Subinterfaces:
  AreaCircleElement, AreaPolygonElement, AreaRectangleElement, CaptionElement, CircleElement, ConnectorElement, ControlElement, CustomShapeElement, EllipseElement, FrameElement, GElement, ImageMapAreaElement, LineElement, MeasureElement, PageThumbnailElement, PathElement, PolygonElement, PolylineElement, RectElement, RegularPolygonElement, SceneElement

    public interface DrawingObjectElement
    extends DrawingObjectBaseElement

Graphics ODF elements that do not have <draw:frame> as parent should implement this interface.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`String` `getAttrDrawCaptionId()` Return draw:caption-id attribute
`TextBoxElement` `getBoundCaptionTextBoxElement()` Return text box element bounded by draw:caption-id attribute.
`TextBoxElement` `getBoundCaptionTextBoxElement(double version)` Return text box element bounded by draw:caption-id attribute If ODF version is specified as 1.0, this function return null.
`long` `getHeight()` Return height of graphics
`long` `getPageIndex()` Return index of page which have this graphics
`long` `getWidth()` Return width of graphics
`long` `getX()` Return x position of graphics
`long` `getY()` Return y position of graphics
`long` `getZIndex()` Return z-index of graphics
`void` `setHeight(long height)` Set height of graphics
`void` `setWidth(long width)` Set width of graphics
`void` `setX(long x)` Set x position of graphics
`void` `setY(long y)` Set y position of graphics

### Methods inherited from interface org.eclipse.actf.model.dom.odf.base.DrawingObjectBaseElement

`getLongDescElement, getLongDescElement, getShortDescElement, getShortDescElement, getSVGDescElement, getSVGTitleElement`

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### getAttrDrawCaptionId

    String getAttrDrawCaptionId()

Return draw:caption-id attribute

Returns:
  String

#### getHeight

    long getHeight()

Return height of graphics

Returns:
  long

#### getWidth

    long getWidth()

Return width of graphics

Returns:
  long

#### getX

    long getX()

Return x position of graphics

Returns:
  long

#### getY

    long getY()

Return y position of graphics

Returns:
  long

#### setHeight

    void setHeight(long height)

Set height of graphics

Parameters:
  `height` - height of graphics

#### setWidth

    void setWidth(long width)

Set width of graphics

Parameters:
  `width` - width of graphics

#### setX

    void setX(long x)

Set x position of graphics

Parameters:
  `x` - x position

#### setY

    void setY(long y)

Set y position of graphics

Parameters:
  `y` - y position

#### getPageIndex

    long getPageIndex()

Return index of page which have this graphics

Returns:
  long

#### getZIndex

    long getZIndex()

Return z-index of graphics

Returns:
  long

#### getBoundCaptionTextBoxElement

    TextBoxElement getBoundCaptionTextBoxElement()

Return text box element bounded by draw:caption-id attribute. In ODF 1.0, this function always return null.

Returns:
  TextBoxElement

#### getBoundCaptionTextBoxElement

    TextBoxElement getBoundCaptionTextBoxElement(double version)

Return text box element bounded by draw:caption-id attribute If ODF version is specified as 1.0, this function return null.

Parameters:
  `version` - version of ODF
Returns:
  TextBoxElement